Workspace does not contain a valid SDK

4 posts / 0 new
Last post
mon2
Offline
Last seen: 3 days 9 min ago
Joined: 2018-09-04 19:16
Workspace does not contain a valid SDK

Hi. Have an incoming PRO kit from Mouser for the new DA14531 for tomorrow and attempting to get ahead of the curve by installing the required toolchain.

1) Installed the Smartsnippets Studio fine on Windows 7 x64 lab PC.

2) Also downloaded and extracted the SDK 6.0.12.1020 onto a local folder.

3) After launching the Smartsnippets Studio -> pointing to the same folder with the extracted SDK but the toolchain keeps noting that "SDK Finder" does not contain a valid SDK. Have attempted to even point to sub-folders and each attempt has failed. Moving forward, assuming that the SDK download is required to build more complex BLE widgets, etc. We do wish to use I2C with DMA support.

Please assist on any ideas for our testing.

Thanks in advance.

Device: 
mon2
Offline
Last seen: 3 days 9 min ago
Joined: 2018-09-04 19:16
Hi. I believe that we just

Hi. I believe that we just got this working - had to highlight the URL for the SDK folder name and that appears to have resolved the issue and allowed us to proceed with the SDK installation. Now moving onto the missing GNU tools compiler, etc...

 

Please ignore for now.

PM_Dialog
Offline
Last seen: 8 hours 44 min ago
Staff
Joined: 2018-02-08 11:03
Hi mon2,

Hi mon2,

Thanks for your question in our public Bluetooth forums. Glad that you figured your issue out and for getting started with the DA14531. Please let me know if you need further support on this.

Thanks, PM_Dialog

IBA_Dialog
Offline
Last seen: 1 day 13 hours ago
Staff
Joined: 2018-01-02 14:45
Hi mon2,

Hi mon2,

For the DA14531 KEIL µVision IDE must be used for compilation and debug. Also Please be aware that We do provide one GCC project within SDK: <sdk_root_directory>\projects\target_apps\ble_examples\prox_reporter\Eclipse

Regards

IBA_Dialog